<?php

declare(strict_types=1);

namespace Tests\Dedi\SyliusDpdPickUpPlugin\Application\src\Entity;

use Dedi\SyliusDpdPickUpPlugin\Entity\ShippingMethodInterface;
use Dedi\SyliusDpdPickUpPlugin\Entity\ShippingMethodTrait as DediDpdPickUpShippingMethodTrait;
use Doctrine\ORM\Mapping as ORM;
use Sylius\Component\Core\Model\ShippingMethod as BaseShippingMethod;

/**
 * @ORM\Entity
 * @ORM\Table(name="sylius_shipping_method")
 */
class ShippingMethod extends BaseShippingMethod implements ShippingMethodInterface
{
    use DediDpdPickUpShippingMethodTrait;
}
